%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	File-Find-Rule

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	File Find Rule Perl Module
Name:		perl-%{perlname}
Version:	0.30
Release:	2
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=File+Find+Rule
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Number-Compare perl-Text-Glob

%description
File::Find::Rule is a friendlier interface to File::Find. It allows you to build
rules which specify the desired files and directories.

%prep
%setup -q -n %{perlname}-%{version}


%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST  
%_bindir
%_libdir
%_mandir

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.30-2
- Rebuild against perl 5.10.0
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.30-1
- Initial Build
